Subject: Re: [netext] Review of I-D: draft-ietf-netext-pmip-lr-04

From: Suresh Krishnan <[email-masked]>
Date: Thu, 15 Sep 2011 14:58:05 -0400

Hi Raj,
  Thanks for the review. I have submitted version -05 resolving most of
the issues you raised in this mail. Please find my responses to the open
issues inline.

[email-masked] wrote:
> 10. Sec 5:
> 
>>  As earlier, the LMA initiates LR as a response to some trigger
> 
>>  mechanism.
> 
>  
> 
> What trigger mechanism? Can you provide at least some examples?

The earlier versions of the draft contained example triggers but there
was some opposition to mentioning the type of triggers possible.

> 
>  
> 
> 11.
> 
>>   The tunnel between the MAGs is assumed to be established by means
> 
>>   outside the scope of this document.
> 
>  
> 
> It would be useful to at least provide some examples of the tunnel
> 
> establishment between MAGs from a completeness perspective. It looks
> 
> like handwaving at the moment.

I agree with you that it is handwavy, but I am not sure what to add
here. People wanted all kinds of tunnels here, IPv6, IPv4, GRE, USP,
IPsec etc. with either manual or dynamic creation. If you want a
specific scenario, I could add it here but if I remember correctly we
did not even manage to get consensus among the authors.

> 18. The IANA considerations section is poorly written and does not
> 
>     provide sufficient information to IANA regarding the actions
> 
>     needed from them. I would recommend revisiting this section.

I went through the section again and I am not sure what is missing here.
What information required by IANA do you think is missing?

Thanks
Suresh

---

From: <[email-masked]>
Date: Thu, 15 Sep 2011 22:11:01 +0000

Thanks for revising the I-D and addressing the comments. Regarding the
open issues my comments inline below:

>was some opposition to mentioning the type of triggers possible.

The statement: "As earlier, the LMA initiates LR as a response to some
trigger
   mechanism." is quite vague. What is the 'As earlier' referring to? Is
it the previous scenario? If so, reference it.

How about rephrasing it as :
"As described in Sec x .y, the LMA initiates LR as a response to a
trigger. The trigger itself is implementation dependent. "

>did not even manage to get consensus among the authors.

Without actually specifying at least one default tunneling mechanism, how
would you achieve interoperability between MAGs in a PMIP6 domain? Whether
it is IP-in-IP or GRE, it does not matter. I would recommend that the I-D
specify the details about the tunneling between the MAGs. I hope you can
discuss and get consensus among the authors and from WG members.

>What information required by IANA do you think is missing?

Its fine. I was thinking that maybe the format specified in I-D:
draft-ietf-netext-redirect-10.txt (IANA Considerations) would make it
easier for IANA.

-Raj

---

From: Qin Wu <[email-masked]>
Date: Fri, 16 Sep 2011 09:38:19 +0800

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Friday, September 16, 2011 6:11 AM
Subject: Re: [netext] Review of I-D: draft-ietf-netext-pmip-lr-04

> discuss and get consensus among the authors and from WG members.

[Qin]: I think the default tunneling mechanism should be IP-in-IP, just like what it said
in the section 6.10.2 of RFC5213. e.g., RFC2473 can be used to establish IPv6-in-IPv6 tunneling.
If additional tunneling mechanisms is introduced in, Negotiation
on which tunnel mechanism is selected is required, however as described in RFC6279, this should be 
out scope of netext. 
If dynamic mechanism is used to establish tunneling, we should follow RFC6279 to establish localized
routing states on relevant MAGs.

The question is is it enough to use LRI/LRA to populate localized routing 
states to the MAGs? Do we need addtional extension to LRI/LRA
used between MAGs?